/*-----------------------------------------------------------------------------
[名称]	CustomSettingAsciiArtView.cpp
[概要]	アスキーアート閲覧用設定情報の実装
[備考]	システム標準で用意するアスキーアート閲覧用設定情報クラス。
[履歴]	2003-02-25	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/

//-----------------------------------------------------------------------------
// インクルード
//-----------------------------------------------------------------------------
#include "stdafx.h"
#include "shitarabian.h"
#include "CustomSettingAsciiArtView.h"
#include "EmphasisDefine.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif


/*-----------------------------------------------------------------------------
[名称]	コンストラクタ
[機能]	インスタンスの生成。
[戻値]	なし
[備考]	なし
-----------------------------------------------------------------------------*/
CCustomSettingAsciiArtView::CCustomSettingAsciiArtView()
{
	m_strSettingName = "アスキーアート閲覧";
	m_strExt = "txt,doc,1st,err,ps";
	
	// ▼ (3286) BGN 2003.11.18 (dincom)
	m_bTabConvert = TRUE; 
	// ▲ (3286) END

	CEmphasisDefine*	pEmphasis = GetEmphasisDefine();
	CEmphasisItem		Item;

	// 色設定
	{
		// ハイパーリンク１
		Item.SetPattern((CString)"www\\.[^\\s\\\"]*");
		Item.SetTerminator((CString)"");
		Item.SetForeColor( RGB(0,0,255) );
		Item.SetBackColor( RGB(255,255,255) );
		Item.SetEnableToggle( TRUE );
		Item.SetUnderLine( TRUE );
		pEmphasis->GetItemz().Add( Item );

		// ハイパーリンク２
		Item.SetPattern((CString)"\\b(http|ftp|mailto)\\:[^\\s\\\"]*");
		Item.SetTerminator((CString)"");
		Item.SetForeColor( RGB(0,0,255) );
		Item.SetBackColor( RGB(255,255,255) );
		Item.SetEnableToggle( TRUE );
		Item.SetUnderLine( TRUE );
		pEmphasis->GetItemz().Add( Item );

		// レス番リンク
		Item.SetPattern((CString)"\\>\\>[0-9]+");
		Item.SetTerminator((CString)"");
		Item.SetForeColor( RGB(0,0,255) );
		Item.SetBackColor( RGB(255,255,255) );
		Item.SetEnableToggle( TRUE );
		Item.SetUnderLine( TRUE );
		pEmphasis->GetItemz().Add( Item );

		// 改行とEOFを非表示
		pEmphasis->GetItemz()[EMPHASIS_CRLF].SetEnable( FALSE );
		pEmphasis->GetItemz()[EMPHASIS_EOF].SetEnable( FALSE );
	}
}


/*-----------------------------------------------------------------------------
[名称]	デストラクタ
[機能]	インスタンスの破棄。
[戻値]	なし
[備考]	なし
-----------------------------------------------------------------------------*/
CCustomSettingAsciiArtView::~CCustomSettingAsciiArtView()
{

}
